package client;

import java.util.List;

import engine.PizzariaEngine;

public class ClientApp {

	public static void main(String[] args) {
		PizzariaEngine engine = new PizzariaEngine();
		String type =""; int qty = 0;
		
		type = "super"; qty = 12;
		addOrder(engine, type, qty);
		type = "duper"; qty = 1;
		addOrder(engine, type, qty);
		type = "super"; qty = 1;
		addOrder(engine, type, qty);
		type = "super"; qty = 2;
		addOrder(engine, type, qty);
		type = "duper"; qty = 2;
		addOrder(engine, type, qty);
		type = "duper"; qty = -2;
		addOrder(engine, type, qty);
		type = ""; qty = 2;
		addOrder(engine, type, qty);

		List<String> results = engine.produceReport();
		for(String s : results)
			System.out.println(s);
	}

	private static void addOrder(PizzariaEngine engine, String type, int qty) {
		boolean additionFlag;
		additionFlag = engine.addOrder(type, qty);
		if(additionFlag == false)
			System.out.println("Failed to add " + qty + " of type "+ type);
		else
			System.out.println("Added " + qty + " pizzas of type "+ type);
	}

}
